
tb_date = widget( {type="textbox", name="tb_date", bg = beautiful.bg_normal, fg = beautiful.fg_normal, align = "right"} )
tb_date.width=200

ib_musor = widget( {type="imagebox", name="ib_musor" } )
tb_musor = widget( {type="textbox", name="tb_musor", bg = beautiful.bg_normal, fg = beautiful.fg_normal} )
tb_musor.width = 1020
tb_musor:buttons({
    button({},1,function() hook_all_tvmusor() end),
})

tb_time = widget( {type="textbox", name="tb_time", bg = beautiful.bg_normal, fg = beautiful.fg_normal} )

-- cpu usage
ib_cpu = widget( {type="imagebox", name="ib_cpu"} )
ib_cpu.image = image(main_dir .. "/awesome-resources/icons/cpu.xpm")
tb_cpu = widget( {type="textbox", name="tb_cpu"} )
tb_cpu.width=35
gr_cpu = widget( {type="graph", name="gr_cpu"} )
gr_cpu.width=40
gr_cpu:plot_properties_set("d_cpu",
    { ["fg"]="#33ff25", 
      ["fg_center"]="#889925",
      ["fg_end"]="#ff3325",
      ["vertical_gradient"]=true,
      ["max_value"]="100.00",
      ["style"]="bottom" }
)

-- memory/swap usage
ib_mem = widget( {type="imagebox", name="ib_mem"} )
ib_mem.image = image(main_dir .. "/awesome-resources/icons/ram.png")
tb_mem = widget( {type="textbox", name="tb_mem"} )

ib_swap = widget( {type="imagebox", name="ib_swap"} )
ib_swap.image = image(main_dir .. "/awesome-resources/icons/swap.png")
tb_swap = widget( {type="textbox", name="tb_swap"} )

-- network down
ib_net_down = widget( {type="imagebox", name="ib_net_down"} )
ib_net_down.image = image(main_dir .. "/awesome-resources/icons/net_down_03.png")
tb_net_down = widget( {type="textbox", name="tb_net_down"} )    
tb_net_down.width=55
gr_net_in = widget( {type="graph", name="gr_net_in"} )
gr_net_in.width=40
gr_net_in:plot_properties_set("d_net_in",
    { ["fg"]="#002200", 
      ["fg_center"]="#008800",
      ["fg_end"]="#00ff00",
      ["vertical_gradient"]=true,
      ["max_value"]="145.00",
      ["style"]="bottom" }

--    { ["fg"]="#009966",
--      ["fg_center"]="#416e58",
--      ["fg_end"]="#6c6a65",
--      ["vertical_gradient"]=true,
--      ["max_value"]="145",
--      ["style"]="bottom" }
)

-- network up
ib_net_up = widget( {type="imagebox", name="ib_net_up"} )
ib_net_up.image = image(main_dir .. "/awesome-resources/icons/net_up_03.png")
tb_net_up = widget( {type="textbox", name="tb_net_up"} )    
tb_net_up.width=50
gr_net_out = widget( {type="graph", name="gr_net_out"} )
gr_net_out.width=40
gr_net_out:plot_properties_set("d_net_out",
    { ["fg"]="#000077", 
      ["fg_center"]="#0000aa",
      ["fg_end"]="#0000ff",
      ["vertical_gradient"]=true,
      ["max_value"]="30.00",
      ["style"]="bottom" }


--    { ["fg"]="#009966",
--      ["fg_center"]="#416e58",
--      ["fg_end"]="#6c6a65",
--      ["vertical_gradient"]=true,
--      ["max_value"]="30",
--      ["style"]="bottom" }
)

-- gmail
ib_gmail = widget( {type="imagebox", name="ib_gmail"} )
ib_gmail.image = image(main_dir .. "/awesome-resources/icons/GmailBrowser.png")
tb_gmail = widget( {type="textbox", name="tb_gmail"} )
tb_gmail.width=25

-- rss
ib_rss = widget( {type="imagebox", name="ib_rss"} )
ib_rss.image = image(main_dir .. "/awesome-resources/icons/rss-icon-gray.png")
tb_rss = widget( {type="textbox", name="tb_rss"} )
tb_rss.width=25

-- mpd
ib_mpd = widget( {type="imagebox", name="ib_mpd"} )
ib_mpd.image = image(main_dir .. "/awesome-resources/icons/musicnote.png")
tb_mpd = widget( {type="textbox", name="tb_mpd"} )
tb_mpd.width=400

icon_path_control = main_dir .. "/awesome-resources/icons/media_player/"
ib_control_prev = widget( {type="imagebox", name="ib_control_prev"} )
ib_control_prev.image = image(icon_path_control .. "control_start.png")
ib_control_prev:buttons({
    button({},1,function() media_buttons("prev") end)
})
ib_control_rew = widget( {type="imagebox", name="ib_control_rew"} )
ib_control_rew.image = image(icon_path_control .. "control_rewind.png")
ib_control_rew:buttons({
    button({},1,function() media_buttons("rew") end)
})
ib_control_ff = widget( {type="imagebox", name="ib_control_ff"} )
ib_control_ff.image = image(icon_path_control .. "control_fastforward.png")
ib_control_ff:buttons({
    button({},1,function() media_buttons("ff") end)
})
ib_control_play = widget( {type="imagebox", name="ib_control_play"} )
ib_control_play.image = image(icon_path_control .. "control_play.png")
ib_control_play:buttons({
    button({},1,function() media_buttons("play") end)
})
ib_control_stop = widget( {type="imagebox", name="ib_control_stop"} )
ib_control_stop.image = image(icon_path_control .. "control_stop.png")
ib_control_stop:buttons({
    button({},1,function() media_buttons("stop") end)
})
ib_control_next = widget( {type="imagebox", name="ib_control_next"} )
ib_control_next.image = image(icon_path_control .. "control_end.png")
ib_control_next:buttons({
    button({},1,function() media_buttons("next") end)
})

-- sensors
tb_temp_mb   = widget ( {type="textbox", bg = beautiful.bg_normal, name="tb_temp_mb"   })
tb_temp_cpu  = widget ( {type="textbox", bg = beautiful.bg_normal, name="tb_temp_cpu"  })
tb_temp_case = widget ( {type="textbox", bg = beautiful.bg_normal, name="tb_temp_case" })
temp_width = 35 
tb_temp_mb.width = temp_width 
tb_temp_cpu.width = temp_width
tb_temp_case.width = temp_width
tb_fan_cpu   = widget ( {type="textbox", name="tb_fan_cpu"   })
tb_fan_case  = widget ( {type="textbox", name="tb_fan_case"  })
fan_width = 32
tb_fan_cpu.width = fan_width
tb_fan_case.width = fan_width

-- todo
ib_todo = widget( {type="imagebox", name="ib_todo"} )
ib_todo.image = image(main_dir .. "/awesome-resources/icons/taskcoach.png")
ib_todo:buttons({
    button({},1,function() hook_print_tasks() end)
})
tb_todo = widget( {type="textbox", name="tb_todo"} )
tb_todo:buttons({
    button({},1,function() hook_print_tasks() end)
})
tb_todo.width = 15

-- uptime
tb_uptime   = widget ( {type="textbox", 
    name="tb_uptime", 
    align="right" 
})

-- }}}

-- ***********************************
-- NOT IMPLEMENTED YET!!!
-- ***********************************

mixers = {
    { mixer = "Headphone", name = "HP" },
    { mixer = "PCM", name = "PCM" },
    { mixer = "VIA DXS", name = "DX" },
    { mixer = "VIA DXS,1", name = "DX1" },
    { mixer = "VIA DXS,2", name = "DX2" },
    { mixer = "VIA DXS,3", name = "DX3" },
}
current_mixer = 1
current_volume = 0

pb_volume = widget({ type = "progressbar", name = "pb_volume", align = "right" })
ib_volume = widget({ type = "imagebox", name = "ib_volume", align = "right" })

Cairo = require "oocairo"
vol_width, vol_height = 14,30
PI = 2*math.asin(1)

function print_current_mixer ()
    local vol_cs = Cairo.image_surface_create("argb32",vol_width,vol_height)
    local vol_cr = Cairo.context_create(vol_cs)

    vol_cr:set_source_rgba(0,0,0,0)
    vol_cr:fill()
    vol_cr:set_source_rgba(0,0,0,0.1)
    vol_cr:fill()
    vol_cr:paint()

    vol_cr:select_font_face("Sans", "italic")
    vol_cr:set_font_size(14)
    vol_cr:move_to(vol_width/2,vol_height/2)
    vol_cr:rotate(PI/2)
    vol_cr:move_to(0,0)
    vol_cr:set_source_rgb(1,1,1)
    vol_cr:show_text(mixers[current_mixer].name)

    ib_volume.image = image.argb32(vol_width, vol_height, vol_cs:get_data())
end

function change_current_mixer(inc)
    current_mixer = current_mixer + inc
    if current_mixer > #mixers then
        current_mixer = 1
    elseif current_mixer < 0 then
        current_mixer = #mixers
    end
    print_current_mixer()
    get_vol()
end

function get_vol()
    local fd = io.popen("amixer sget " .. mixers[current_mixer].mixer)
    local st = fd:read("*all")
    fd:close()

    current_volume = string.match(st, "(%d?%d?%d)%%")
    pb_volume:bar_data_add("vol",current_volume)
end

get_vol()


function change_vol(inc)
    current_volume = current_volume + inc
    awesome.spawn("amixer sset " .. mixers[current_mixer].mixer .. " " .. current_volume .. "%")
    get_vol()
end


pb_volume.width = 25
pb_volume.height = 0.5
pb_volume:bar_properties_set("vol", { })
-- 4: up
-- 5: down
pb_volume:buttons({
    button({},4,function() change_vol(5) end),
    button({},5,function() change_vol(-5) end),
    button({},1,function() change_current_mixer(1) end),
    button({},2,function() change_current_mixer(-1) end),
})



-- {{{ Statusbar
-- Create a taglist widget
-- { type = "taglist", name = "mytaglist", fg_normal = "#aa0000" })
mytaglist = awful.widget.taglist.new(1, awful.widget.taglist.label.all, { 
    button({}, 1, awful.tag.viewonly), 
    button({modkey}, 1, awful.client.movetotag),
} )

mytasklist = awful.widget.tasklist.new(function(c) return awful.widget.tasklist.label.currenttags(c, 1) end,
    {
        button({ }, 1, function (c) client.focus = c; c:raise() end),
        button({ }, 4, function () awful.client.focus.byidx(1) end),
        button({ }, 5, function () awful.client.focus.byidx(-1) end),
    }
)

-- Create an iconbox widget which will contains an icon indicating which layout we're using.
mylayoutbox = widget({ type = "imagebox", name = "mylayoutbox", align = "left" })
mylayoutbox:buttons({
    button({ }, 1, function () 
        awful.layout.inc(layouts, 1)
        hook_arrange(1)
    end),
    button({ }, 3, function () 
        awful.layout.inc(layouts, -1) 
        hook_arrange(1)
    end),
})
mylayoutbox.image = image("/usr/share/awesome/themes/default/layouts/tilew.png")

